/**
 * MCP Tool for MyCoder Agent
 *
 * This tool allows the agent to interact with Model Context Protocol (MCP) servers
 * to retrieve resources and use tools provided by those servers.
 *
 * Uses the official MCP SDK: https://www.npmjs.com/package/@modelcontextprotocol/sdk
 */
import { McpConfig } from '../core/mcp/index.js';
import { Tool } from '../core/types.js';
/**
 * Create a new MCP tool with the specified configuration
 * @param config MCP configuration
 * @returns The MCP tool
 */
export declare function createMcpTool(config: McpConfig): Tool;
//# sourceMappingURL=mcp.d.ts.map